You are not logged in.

#1 2012-11-18 02:53:56

dhan
Member
Registered: 2012-11-15
Posts: 13

ati hybrid graphic card(catalyst) conflict on libgl

i have a problem with hybrid graphic card driver problem. i have radeon 5730 and intel. and followed instruction on wiki amd catalyst page.

i installed catalyst catalyst-utils lib32-catalyst-utils successfully. and want to install xf86-video-intel-2.20.2 followed the instruction. and i got a conflict messenge about intel-dri and catalyst-utils on libgl.

how can i resolve it. i am a new archer.

Offline

#2 2012-11-18 04:02:45

nos09
Member
Registered: 2011-09-09
Posts: 104

Re: ati hybrid graphic card(catalyst) conflict on libgl

Offline

#3 2012-11-18 04:06:41

nos09
Member
Registered: 2011-09-09
Posts: 104

Re: ati hybrid graphic card(catalyst) conflict on libgl

although my personal experiance with hybird graphics on linux is not that good. but i managed to get it up and running by following the hybrid graphics page on the wiki. I am using opensource driver though (xf86-video-ati). i would guess you need 'vgaswitcheroo' to get it working. just follow the wiki and you will be fine.

Offline

#4 2012-11-18 07:18:48

dhan
Member
Registered: 2012-11-15
Posts: 13

Re: ati hybrid graphic card(catalyst) conflict on libgl

i have saw that wiki post. but i want to try radeon driver not opensource. anyway that hybrid wiki post is old you  can not use the newest intel driver that will cost many problem.

my guess is i should downgrade my radeon driver too. but which one should i downgrade and where can i get it?

Offline

#5 2012-11-19 13:17:16

nos09
Member
Registered: 2011-09-09
Posts: 104

Re: ati hybrid graphic card(catalyst) conflict on libgl

there is a post about this in gentoo .. i would suggest you ask some folks here in arch and take some advice how to fork that change into arch. I am not really sure about it though. btw my laptop runs smoothly on opensource driver (dell 15r SE).

Offline

#6 2012-11-20 00:26:51

dhan
Member
Registered: 2012-11-15
Posts: 13

Re: ati hybrid graphic card(catalyst) conflict on libgl

thanks man. i really had a newbie's mistake. i should use catalyst-utils-pxp and lib32-catalyst-utils-pxp instand of catalyst-utils and lib32-catalyst-utils for hybrid card.

but i still have problem, which is:

if i set switchable card in bios, i can only use intel card, switch to amd card will fail to start X.
and if set discrete card in bios, obivoursly i can only use amd card.

i had saw some discussion about this bug. which may be a intel driver bug. said in this post: https://bugs.freedesktop.org/show_bug.cgi?id=56494#c44
i will try this methode, if i get any spare time.

Offline

Board footer

Powered by FluxBB